CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

文本旋转属性 (ActiveX)

2023-1-3 03:40| 发布者: admin| 查看: 176| 评论: 0|来自: AutoCAD

摘要: 指定标注文本的旋转角度。

指定标注文本的旋转角度。

支持的平台:仅窗口

签名

工 务 局:

object.TextRotation
对象

类型:暗三点角度,暗对齐,暗角,弧长度,暗角,尺寸,暗坐标,径向,暗径大,暗旋转MLeader

此属性适用的对象。

属性值

只读:

类型:

尺寸文本的角度(以弧度为单位)。有效范围为 0 到 6.28。

言论

默认情况下,此值等于 0 度或由标注样式指定的“旋转”属性。



0 度角的文本

角度等于尺寸旋转的文本

例子

工 务 局:

Sub Example_TextRotation()
    ' This example creates an aligned dimension and then changes the
    ' TextRotation property for that dimension.

    Dim dimObj As AcadDimAligned
    Dim point1(0 To 2) As Double
    Dim point2(0 To 2) As Double
    Dim location(0 To 2) As Double
    
    ' Define the dimension
    point1(0) = 5#: point1(1) = 3#: point1(2) = 0#
    point2(0) = 10#: point2(1) = 3#: point2(2) = 0#
    location(0) = 7.5: location(1) = 5#: location(2) = 0#
    
    ' Create an aligned dimension object in model space
    Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location)
    ZoomAll
    MsgBox "The current text rotation angle for the dimension is " & dimObj.TextRotation & " radians.", vbInformation, "TextRotation Example"
    
    ' Change the text rotation angle to 45 degrees (.707 radians)
    dimObj.TextRotation = 0.707
    dimObj.Update
        
    MsgBox "The new text rotation angle for the dimension is " & dimObj.TextRotation & " radians.", vbInformation, "TextRotation Example"
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_TextRotation()
    ;; This example creates an aligned dimension and then changes the
    ;; TextRotation property for that dimension.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; Define the dimension
    (setq point1 (vlax-3d-point 5 3 0)
          point2 (vlax-3d-point 10 3 0)
          location (vlax-3d-point 7.5 5 0))
    
    ;; Create an aligned dimension object in model space
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location))
    (vla-ZoomAll acadObj)
    (alert (strcat "The current text rotation angle for the dimension is " (rtos (vla-get-TextRotation dimObj) 2) " radians."))
    
    ;; Change the text rotation angle to 45 degrees (.707 radians)
    (vla-put-TextRotation dimObj 0.707)
    (vla-Update dimObj)
        
    (alert (strcat "The new text rotation angle for the dimension is " (rtos (vla-get-TextRotation dimObj) 2) " radians."))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-12 08:27

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部